## ros-common-msgs 1.12.3

=== common_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(common_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()
