=== stereo_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stereo_msgs)

find_package(catkin REQUIRED COMPONENTS sensor_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  DisparityImage.msg)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime sensor_msgs std_msgs)
