=== sensor_msgs/test/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
catkin_add_gtest(sensor_msgs_test main.cpp)
