=== debian/changelog ===
ros-common-msgs (1.12.3-5) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 11:04:54 +0100

ros-common-msgs (1.12.3-4) unstable; urgency=medium

  * Add dependencies.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 13:03:48 +0100

ros-common-msgs (1.12.3-3) unstable; urgency=medium

  * Reupload to unstable.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 17 Dec 2015 17:09:58 +0100

ros-common-msgs (1.12.3-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add multiarch support
  * Use new ros-messages-* package names

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 07 Dec 2015 12:41:55 +0000

ros-common-msgs (1.12.3-1) unstable; urgency=medium

  * Initial package. (Closes: #804927)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 20 Nov 2015 16:29:29 +0000
