=== debian/control ===
Source: ros-common-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
		libboost-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/ros/common_msgs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-common-msgs.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-common-msgs.git

Package: libactionlib-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, python, libstd-msgs-dev
Description: Messages relating to the Robot OS actionlib, C/C++ interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 http://wiki.ros.org/actionlib package. 
 .
 This package contains the generated headers files.

Package: python-actionlib-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS actionlib, Python interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 http://wiki.ros.org/actionlib package. 
 .
 This package contains the generated Python package.

Package: cl-actionlib-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS actionlib, LISP interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 http://wiki.ros.org/actionlib package. 
 .
 This package contains the generated LISP library.

Package: libdiagnostic-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS diagnostic, C/C++ interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the http://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated C/C++ header files.

Package: python-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS diagnostic, Python interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the <http://wiki.ros.org/diagnostics> stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python package.

Package: cl-diagnostic-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS diagnostic, LISP interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the <http://wiki.ros.org/diagnostics> stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated LISP library.

Package: libgeometry-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS geometry, C/C++ interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system. 
 .
 This package contains the generated headers files.

Package: python-geometry-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS geometry, Python interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system. 
 .
 This package contains the generated Python package.

Package: cl-geometry-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS geometry, LISP interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system. 
 .
 This package contains the generated LISP library.

Package: libnav-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Messages relating to Robot OS nav, C/C++ interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' http://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated headers files.

Package: python-nav-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, libgeometry-msgs-dev, python-actionlib-msgs
Description: Messages relating to Robot OS nav, Python interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' http://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python package.

Package: cl-nav-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Messages relating to Robot OS nav, LISP interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' http://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated LISP library.

Package: libsensor-msgs-dev
Section: libdevel
Architecture: all
Depends: libboost-dev, libgeometry-msgs-dev, ${misc:Depends}
Description: Messages relating to Robot OS sensor, C/C++ interface
 This package is part of Robot OS (ROS). 
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the generated headers files.

Package: python-sensor-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
Description: Messages relating to Robot OS sensor, Python interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated Python package.

Package: cl-sensor-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS sensor, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated LISP library.

Package: libshape-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS shape, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated headers files.

Package: python-shape-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
Description: Messages relating to Robot OS shape, Python interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes. 
 .
 This package contains the generated Python package.

Package: cl-shape-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS shape, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes. 
 .
 This package contains the generated LISP library.

Package: libstereo-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libsensor-msgs-dev
Description: Messages relating to Robot OS stereo, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images. 
 .
 This package contains the generated headers files.

Package: python-stereo-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs
Description: Messages relating to Robot OS stereo, Python interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images. 
 .
 This package contains the generated Python package.

Package: cl-stereo-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-sensor-msgs
Description: Messages relating to Robot OS stereo, LISP interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images. 
 .
 This package contains the generated LISP library.

Package: libtrajectory-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS trajectory, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the http://wiki.ros.org/control_msgs
 .
 This package contains the generated headers files.

Package: python-trajectory-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
Description: Messages relating to Robot OS trajectory, Python interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the http://wiki.ros.org/control_msgs
 .
 This package contains the generated Python package.

Package: cl-trajectory-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS trajectory, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the http://wiki.ros.org/control_msgs
 .
 This package contains the generated LISP library.

Package: libvisualization-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS visualization, C/C++ interface
 This package is part of Robot OS (ROS), and provides a set of
 messages used by higher level packages, such as rviz, that deal in
