## ros-common-msgs 1.12.4

=== debian/changelog ===
ros-common-msgs (1.12.4-4) unstable; urgency=medium

  * Add missing build dependency (Closes: #8355737)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2016 14:29:11 +0200

ros-common-msgs (1.12.4-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Move message definitions in separate packages.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 08:55:16 +0200

ros-common-msgs (1.12.4-2) unstable; urgency=medium

  * Rebuild for updated ros-genlisp.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 07:19:45 +0200

ros-common-msgs (1.12.4-1) unstable; urgency=medium

  * Imported Upstream version 1.12.4
  * Remove boost dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 14:08:37 +0100
