=== sensor_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,6 @@
 project(sensor_msgs)
 
 find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)
-# We want boost/format.hpp, which isn't in its own component.
-find_package(Boost REQUIRED)
 
 # For point_cloud2.py
 catkin_python_setup()
@@ -13,6 +11,7 @@
 add_message_files(
   DIRECTORY msg
   FILES
+  BatteryState.msg
   CameraInfo.msg
   ChannelFloat32.msg
   CompressedImage.msg
@@ -48,8 +47,7 @@
 
 catkin_package(
   INCLUDE_DIRS include
-  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs
-  DEPENDS Boost)
+  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)
 
 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
