=== debian/changelog ===
ros-common-msgs (1.12.5-3) unstable; urgency=medium

  * Update watch file
  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 10 Jul 2017 16:53:00 +0200

ros-common-msgs (1.12.5-2) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:00:13 +0100

ros-common-msgs (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
  * Remove upstreamed patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 04 Oct 2016 15:24:54 +0200
