=== debian/control ===
--- 
+++ 
@@ -2,16 +2,27 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
-		libboost-dev
-Standards-Version: 3.9.6
+		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python, ros-std-msgs
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/ros/common_msgs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-common-msgs.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-common-msgs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-common-msgs.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-common-msgs.git
+
+Package: ros-actionlib-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-std-msgs
+Description: Messages relating to Robot OS actionlib, definitions
+ This package is part of Robot OS (ROS), and contains the common
+ messages to interact with an action server and an action client.  For
+ full documentation of the actionlib API see the
+ http://wiki.ros.org/actionlib package.
+ .
+ This package contains the message definitions.
 
 Package: libactionlib-msgs-dev
 Section: libdevel
@@ -48,6 +59,20 @@
  http://wiki.ros.org/actionlib package. 
  .
  This package contains the generated LISP library.
+
+Package: ros-diagnostic-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-std-msgs
+Description: Messages relating to Robot OS diagnostic, definitions
+ This package is part of Robot OS (ROS), and contains the messages
+ which provide the standardized interface for the diagnostic and
+ runtime monitoring systems in ROS. These messages are currently used
+ by the http://wiki.ros.org/diagnostics stack, which provides
+ libraries for simple ways to set and access the messages, as well as
+ automated ways to process the diagnostic data.
+ .
+ This package contains the message definitions.
 
 Package: libdiagnostic-msgs-dev
 Section: libdevel
@@ -91,6 +116,18 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-geometry-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-std-msgs
+Description: Messages relating to Robot OS geometry, definitions
+ This package is part of Robot OS (ROS), and provides the messages for
+ common geometric primitives such as points, vectors, and poses. These
+ primitives are designed to provide a common data type and facilitate
+ interoperability throughout the system.
+ .
+ This package contains the message definitions.
+
 Package: libgeometry-msgs-dev
 Section: libdevel
 Architecture: all
@@ -127,6 +164,17 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-nav-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
+Description: Messages relating to Robot OS nav, definitions
+ This package is part of Robot OS (ROS), and provides the common
+ messages used to interact with the 'nav' http://wiki.ros.org/navigation
+ stack.
+ .
+ This package contains the message definitions.
+
 Package: libnav-msgs-dev
 Section: libdevel
 Architecture: all
@@ -160,10 +208,21 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-sensor-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-geometry-msgs
+Description: Messages relating to Robot OS sensor, definitions
+ This package is part of Robot OS (ROS).
+ This package defines messages for commonly used sensors, including
+ cameras and scanning laser rangefinders.
+ .
+ This package contains the message definitions.
+
 Package: libsensor-msgs-dev
 Section: libdevel
 Architecture: all
-Depends: libboost-dev, libgeometry-msgs-dev, ${misc:Depends}
+Depends: libgeometry-msgs-dev, ${misc:Depends}
 Description: Messages relating to Robot OS sensor, C/C++ interface
  This package is part of Robot OS (ROS). 
  This package defines messages for commonly used sensors, including
@@ -193,6 +252,17 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-shape-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-geometry-msgs
+Description: Messages relating to Robot OS shape, definitions
+ This package is part of Robot OS (ROS), and provides messages for
+ commonly used sensors, including cameras and scanning laser
+ rangefinders.
+ .
+ This package contains the message definitions.
+
 Package: libshape-msgs-dev
 Section: libdevel
 Architecture: all
@@ -226,73 +296,8 @@
  .
  This package contains the generated LISP library.
 
-Package: libstereo-msgs-dev
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}, libsensor-msgs-dev
-Description: Messages relating to Robot OS stereo, C/C++ interface
- This package is part of Robot OS (ROS), and provides messages
- specific to stereo processing, such as disparity images. 
- .
- This package contains the generated headers files.
-
-Package: python-stereo-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs
-Description: Messages relating to Robot OS stereo, Python interface
- This package is part of Robot OS (ROS), and provides messages
- specific to stereo processing, such as disparity images. 
- .
- This package contains the generated Python package.
-
-Package: cl-stereo-msgs
-Section: lisp
-Architecture: all
-Depends: ${misc:Depends}, cl-sensor-msgs
-Description: Messages relating to Robot OS stereo, LISP interface
- This package is part of Robot OS (ROS), and provides messages
- specific to stereo processing, such as disparity images. 
- .
- This package contains the generated LISP library.
-
-Package: libtrajectory-msgs-dev
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}, libgeometry-msgs-dev
-Description: Messages relating to Robot OS trajectory, C/C++ interface
- This package is part of Robot OS (ROS), and provides messages for
- defining robot trajectories. These messages are also the building
- blocks of most of the http://wiki.ros.org/control_msgs
- .
- This package contains the generated headers files.
-
-Package: python-trajectory-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
-Description: Messages relating to Robot OS trajectory, Python interface
- This package is part of Robot OS (ROS), and provides messages for
- defining robot trajectories. These messages are also the building
- blocks of most of the http://wiki.ros.org/control_msgs
- .
- This package contains the generated Python package.
-
-Package: cl-trajectory-msgs
-Section: lisp
-Architecture: all
-Depends: ${misc:Depends}, cl-geometry-msgs
-Description: Messages relating to Robot OS trajectory, LISP interface
- This package is part of Robot OS (ROS), and provides messages for
- defining robot trajectories. These messages are also the building
- blocks of most of the http://wiki.ros.org/control_msgs
- .
- This package contains the generated LISP library.
-
-Package: libvisualization-msgs-dev
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}, libgeometry-msgs-dev
-Description: Messages relating to Robot OS visualization, C/C++ interface
- This package is part of Robot OS (ROS), and provides a set of
- messages used by higher level packages, such as rviz, that deal in
+Package: ros-stereo-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-sensor-msgs
+Description: Messages relating to Robot OS stereo, definitions
