=== debian/changelog ===
ros-common-msgs (1.12.6-3) unstable; urgency=medium

  * Add Python 3 packages
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 23:10:40 +0200

ros-common-msgs (1.12.6-2) unstable; urgency=medium

  * Make lib*-msgs-dev arch:any due to arch:any dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 14:27:03 +0200

ros-common-msgs (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6
  * Add MA hints
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 13:18:47 +0200

ros-common-msgs (1.12.5-4) unstable; urgency=medium

  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Rebuild with new gencpp

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Apr 2018 15:27:39 +0200
