=== debian/control ===
Source: ros-common-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all, python-setuptools, dh-python, ros-std-msgs, python3-all
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/common_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-common-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-common-msgs.git

Package: ros-actionlib-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS actionlib, definitions
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the message definitions.

Package: libactionlib-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, python, libstd-msgs-dev
Description: Messages relating to the Robot OS actionlib, C/C++ interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated headers files.

Package: python-actionlib-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS actionlib, Python 2 interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated Python 2 package.

Package: python3-actionlib-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS actionlib, Python 3 interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated Python 3 package.

Package: cl-actionlib-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS actionlib, LISP interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated LISP library.

Package: ros-diagnostic-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS diagnostic, definitions
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the message definitions.

Package: libdiagnostic-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS diagnostic, C/C++ interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated C/C++ header files.

Package: python-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS diagnostic, Python 2 interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python 2 package.

Package: python3-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS diagnostic, Python 3 interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python 3 package.

Package: cl-diagnostic-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS diagnostic, LISP interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated LISP library.

Package: ros-geometry-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS geometry, definitions
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the message definitions.

Package: libgeometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS geometry, C/C++ interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated headers files.

Package: python-geometry-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS geometry, Python 2 interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated Python 2 package.

Package: python3-geometry-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS geometry, Python 3 interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated Python 3 package.

Package: cl-geometry-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS geometry, LISP interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated LISP library.

Package: ros-nav-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
Description: Messages relating to Robot OS nav, definitions
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the message definitions.

Package: libnav-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Messages relating to Robot OS nav, C/C++ interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated headers files.

Package: python-nav-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, libgeometry-msgs-dev, python-actionlib-msgs
Description: Messages relating to Robot OS nav, Python 2 interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python 2 package.

Package: python3-nav-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, libgeometry-msgs-dev, python3-actionlib-msgs
Description: Messages relating to Robot OS nav, Python 3 interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python 3 package.

Package: cl-nav-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Messages relating to Robot OS nav, LISP interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated LISP library.

Package: ros-sensor-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs
Description: Messages relating to Robot OS sensor, definitions
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the message definitions.

Package: libsensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgeometry-msgs-dev, ${misc:Depends}
Description: Messages relating to Robot OS sensor, C/C++ interface
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the generated headers files.

Package: python-sensor-msgs
Section: python
Architecture: all
